﻿using AbilityParser.Effect;
using Magic.Utils;

namespace AbilityParser.Ability
{
	class OneShotEffect : ParsedUnit<IAbility>, IAbility
	{
		private readonly IEffect effect;

		public OneShotEffect( IEffect _effect )
		{
			effect = _effect;
		}

		public override string ToString()
		{
			return "OneShot: " + effect;
		}

		public AbContext SubParts { get; set; }
	}
}
