﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Magic.Utils;

namespace AbilityParser.Condition
{
	class UnparsedCondition : UnparsedUnit<ICondition>, ICondition
	{
		public UnparsedCondition( string text ) : base( text )
		{
		}

		public override ICondition RemoveProxy()
		{
			return parsed == null ? this : parsed.RemoveProxy();
		}

		public override IEnumerable<UnknownPart> GetUnknownParts()
		{
			yield return new UnknownPart( "Condition", Text, GetType() );
		}


	}
}
