﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AbilityParser.Entities;
using Magic.Utils;

namespace AbilityParser.MagicPredicate
{
	class UnparsedTurnPart : UnparsedUnit<IMagicPredicate<TimeLine>>, IMagicPredicate<TimeLine>
	{

		public UnparsedTurnPart( string text ) : base( text )
		{
		}

		public override IEnumerable<UnknownPart> GetUnknownParts()
		{
			yield return new UnknownPart( "TimeLine", Text, GetType() );
		}


		public override IMagicPredicate<TimeLine> RemoveProxy()
		{
			return this;
		}

		public override string ToString()
		{
			return "* unparsed predicate<time> * " + Text;
		}
	}
}
