﻿using System;
using System.Collections.Generic;
using Magic.Utils;

namespace AbilityParser.Trigger
{
	class UnparsedReplacementTrigger : UnparsedUnit<ITrigger>, ITrigger
	{
		public UnparsedReplacementTrigger( string text ) : base(text)
		{
		}

		public override IEnumerable<UnknownPart> GetUnknownParts()
		{
			yield return new UnknownPart("Replacement", Text, GetType());
		}

		public override ITrigger RemoveProxy()
		{
			return parsed != null ? parsed.RemoveProxy() : this;
		}

		public override string ToString()
		{
			return "*Unparsed replacement* " + Text;
		}

	}
}
