using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Windows.Data;
using Magic.Cards;

namespace WpfRules
{

	[ValueConversion(typeof(IEnumerable<String>), typeof(String))]
	public class RulesConverter : IValueConverter
	{
		public object Convert( object value, Type targetType, object parameter, CultureInfo culture )
		{
			CardPrinted card = value as CardPrinted;
			return String.Join( Environment.NewLine, card.Rules.Texts );
		}

		public object ConvertBack( object value, Type targetType, object parameter, CultureInfo culture )
		{
			throw new NotImplementedException();
		}
	}
}