﻿using System.Collections.Generic;

namespace Magic.Utils
{
	public abstract class ParsedUnit<T> : IParseUnit<T>
	{
		public bool IsParsed() { return true; }
		public IEnumerable<UnknownPart> GetUnknownParts() { yield break; }
		public bool IsProxy() { return false; }
		public virtual T RemoveProxy() { return this is T ? (T)(object)this : default(T); }
	}
}