﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Magic.Cards;

namespace WpfRules
{
	class CardComparerByRulesName : IEqualityComparer<CardPrinted>
	{
		public bool Equals( CardPrinted x, CardPrinted y )
		{
			return x.Rules.Name.Equals( y.Rules.Name );
		}

		public int GetHashCode( CardPrinted obj )
		{
			return obj.Rules.Name.GetHashCode();
		}
	}
}
